package cokr.xit.fims.crdn.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.crdn.CrdnQuery;
import cokr.xit.fims.crdn.service.CrdnStngService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

@Service("crdnStngService")
public class CrdnStngServiceBean extends AbstractServiceBean implements CrdnStngService {

	@Resource(name="crdnStngBean")
	protected CrdnStngBean crdnStngBean;

	@Override
	public List<DataObject> getTeamList(CrdnQuery query) {
		return crdnStngBean.selectTeamList(query);
	}

	@Override
	public DataObject getTeamInfo(String teamId) {
		return crdnStngBean.selectTeamInfo(teamId);
	}

}
